<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

/**
 * Sql info by John Liddiard (aka JohntheFish)
 * www.jlunderwater.co.uk, www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

if ($fivefive){
	$h = Loader::helper('concrete/dashboard');
	echo $h->getDashboardPaneHeaderWrapper(	t('SQL Info %s',$categories),
											t('Shows SQL database info for your site/host environment. See <a href="http://dev.mysql.com/doc/refman/5.0/en/show-variables.html" target="_blank">http://dev.mysql.com/doc/refman/5.0/en/show-variables.html</a> for more details about the information provided.  Use \'Plain Text\' to convert the output to text suitable for copy/pasting to an email, forum or error report.'),
											'',
											'',
											array(),
											false);
} else {
	?>
	<h1><span><?php  echo t('SQL Info %s',$categories);?></span></h1>
	<div class="ccm-dashboard-inner">
	<?php 
}
?>
<form method="post" id="sqlinfo_form" action="<?php  echo $this->action('view')?>">
	<div class="ccm-pane-footer jl-top-footer">
		<?php 
			$ih = Loader::helper('concrete/interface');
			if ($fivefive){
				echo $ih->button('Plain Text','plain_text','left','ok');
			}

			foreach (array_reverse($poss_info_cats) as $ky=>$val){
				echo '&nbsp;';
				echo $ih->submit($val, $ky,'right','primary');
			}
		?>
	</div>
	<div class="ccm-pane-body info_as_html">

		<?php 
			$os = PHP_OS;
			$col_repeat_interval = 6;
			$row_repeat_interval = 15;
			$kflag;
			foreach ($info_cats as $info_cat){
				?>
				<div>
					<?php 
						$info = $this->controller->enquire($info_cat);
					?>
					<div class="table_wrapper">
						<table class="grid-list zebra-striped table table-striped table-bordered ccm-results-list">
							<?php 
								// catch the heading row so it can be repeated later
								ob_start();
							?>
							<tr><?php 
									$cols = 0;
									$info_row = $info[0];
									foreach ($info_row as $k=>$i){
										?><th><?php 
											echo $k;
										?></th><?php 
										// repeat the heading col each 5
										if ($cols==0){
											$first = $k;
										}
										$cols++;
										if ($cols > $col_repeat_interval){
											$kflag++;
											$cols=1;
											?><th><?php 
												echo $first;
											?></th><?php 
										}
									}
								?>
							</tr><?php 
								$heading_row = ob_get_contents();
								ob_end_clean();
								echo $heading_row;

								$rows = 0;
								foreach ($info as $info_row){
									?><tr class="ccm-list-record"><?php 
										$cols = 0;
										foreach ($info_row as $k=>$i){
											?><td><?php 
												if (preg_match("/Win/i",$os)){
													// nice break in windows path list
													$i= preg_replace("/([^A-Za-z]{1})([A-Za-z]{1}\:)/s",'$1<br>$2',$i);
												}else{
													// nice break in linux/unix path list
													$i= preg_replace("/([a-zA-Z]{1}\:)(\/)([^\/]{1})/s",'$1<br>$2$3',$i);
												}
												$i= preg_replace("/\;/",';<wbr>',$i); // allow break after semicolon
												$i= preg_replace("/\,/",',<wbr>',$i); // allow break after comma
												echo $i;
											?></td><?php 
											// repeat the heading col each 5
											if ($cols==0){
												$first = $i;
											}
											$cols++;
											if ($cols > $col_repeat_interval){
												?><th><?php 
													echo $first;
													$cols=1;
												?></th><?php 
											}
										}
									?></tr><?php 

									// periodically repeat the heading row
									$rows++;
									if ($rows >= $row_repeat_interval){
										echo $heading_row;
										$rows = 0;
									}
								}
							?>
						</table>
					</div>
				</div>
			<?php 
			}
		?>
	</div>
	<div style="clear:both;"></div>
	<div class="ccm-pane-footer">
		<?php 
			$ih = Loader::helper('concrete/interface');
			echo $ih->button_js(t('Cancel'), 'ccm_closeDashboardPane(this)', 'left');

			foreach (array_reverse($poss_info_cats) as $ky=>$val){
				echo '&nbsp;';
				echo $ih->submit($val, $ky,'right','primary');
			}
		?>
	</div>
</form>
<?php 
if ($traditional){
	?>
	</div>
<?php 
}
// text for dialogs
$txt_select_all = t('Select All');
?>
<script type="text/javascript">
$(document).ready(function(){var a="<?php  echo $kflag;?>";var b="<?php  echo $txt_select_all;?>";$('#sqlinfo_form a[href="plain_text"]').one("click",function(a){a.preventDefault();var c=0;var d="";$("#sqlinfo_form table").each(function(){if(c){d+="\n"+Array(81).join("=")+"\n"}c++;var a=$(this).prev();if($(a).is(":header")){d+=$(a).text();d+="\n"+Array($(a).text().length+1).join("-")+"\n"}var b=[];$(this).find("tr").each(function(){var a=[];$(this).find("td,th").each(function(){var b=$(this).text();if(!b||b=="undefined"){b=""}a.push(b)});b.push(a.join("	"))});d+=b.join("\n")});if($.browser.msie){b=""}$("#sqlinfo_form .info_as_html").hide().after('<div class="info_as_txt ccm-pane-body"><span id="selectable_text"><a id="selectall" href="#selectall">'+b+"</a><pre>"+d+"</pre></span></div>");$('#sqlinfo_form a[href="plain_text"]').on("click",function(a){a.preventDefault();if($("#sqlinfo_form .info_as_html").is(":visible")){$("#sqlinfo_form .info_as_html").hide();$("#sqlinfo_form .info_as_txt").show()}else{$("#copytmp").remove();$("#sqlinfo_form .info_as_html").show();$("#sqlinfo_form .info_as_txt").hide()}return false});$("#selectall").click(function(){if($("#copytmp").length){$("#copytmp").remove()}var a=$("#selectable_text pre").text();var b=$("#selectable_text pre").css("font-family");var c=$("#selectable_text pre").css("font-size");var d=$("#selectable_text pre").css("line-height");var e=$("#selectable_text pre").css("margin");var f=$("#selectable_text pre").css("padding");var g=$("#selectable_text pre").css("background");var h=$("#selectable_text pre").css("border");var i=$("#selectable_text pre").css("outline");var j=$("#selectable_text pre").width();var k=$("#selectable_text pre").height();$('<textarea id="copytmp">').appendTo($("#selectable_text")).val(a).focus().select().width(j).height(k).css("background",g).css("border",h).css("outline",i).css("padding",f).css("margin",e).css("line-height",d).css("font-family",b).css("font-size",c).position({my:"bottom right",at:"bottom right",of:$("#selectable_text pre")});$("#copytmp").one("click blur",function(){$("#copytmp").remove();return false});var l;$("#copytmp").on("keyup",function(){l=false});$("#copytmp").on("keydown",function(a){var b=a.keyCode;var c=17;var d=67;if(b==c){l=true;return true}if(b==d&&l){return true}l=false;return false});return false});return false});$.fn.jlhasScrollW=function(){return this.get(0).scrollWidth>this.width()};if($("#sqlinfo_form .table_wrapper").jlhasScrollW()){$("#sqlinfo_form .table_wrapper").addClass("jlkinetic").kinetic({slowdown:.2,y:false,throttleFPS:30})}})
</script>


